package com.zanxiang.manage.service.Impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zanxiang.common.enums.DeleteEnum;
import com.zanxiang.common.utils.StringUtils;
import com.zanxiang.common.utils.bean.BeanUtils;
import com.zanxiang.manage.domain.bo.PayMerchantBO;
import com.zanxiang.manage.domain.dto.PayMerchantDTO;
import com.zanxiang.manage.service.PayMerchantService;
import com.zanxiang.mybatis.entity.PayMerchant;
import com.zanxiang.mybatis.mapper.PayMerchantMapper;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

/**
 * 游戏支付商户配置表 服务实现类
 *
 * @author xufeng
 * @date 2022-06-16 19:04
 */
@Service
public class PayMerchantServiceImpl extends ServiceImpl<PayMerchantMapper, PayMerchant> implements PayMerchantService {


    @Override
    public PayMerchantDTO info(Long id) {
        PayMerchant data = getOne(new LambdaQueryWrapper<PayMerchant>().eq(PayMerchant::getId, id).eq(PayMerchant::getIsDelete, DeleteEnum.NO.getCode()));
        if (data == null) {
            return null;
        }
        return BeanUtils.copy(data, PayMerchantDTO.class);
    }

    public Boolean saveOrUpdate(PayMerchantBO bo) {
        PayMerchant data = BeanUtils.copy(bo, PayMerchant.class);
        //删除时候增加删除时间
        if (data.getIsDelete() == DeleteEnum.YES.getCode()) {
            data.setDeleteTime(new Date());
        }
        if (!StringUtils.isEmpty(data.getPayDevice())) {
            data.setPayDevice("," + data.getPayDevice().trim() + ",");
        }
        return saveOrUpdate(BeanUtils.copy(data, PayMerchant.class));
    }

    @Override
    public List<PayMerchantDTO> list(PayMerchantBO bo) {
//        LambdaQueryWrapper<PayMerchant> wrapper = new LambdaQueryWrapper<>();
//        wrapper.eq(PayMerchant::getMerchantNo, bo.getMerchantNo());
//        wrapper.eq(PayMerchant::getMerchantName, bo.getMerchantName());
//        wrapper.eq(PayMerchant::getStatus, bo.getStatus());
//        wrapper.eq(PayMerchant::getIsDelete, DeleteEnum.NO.getCode());
        PayMerchant app = BeanUtils.copy(bo, PayMerchant.class);
        app.setIsDelete(DeleteEnum.NO.getCode());
        List<PayMerchant> result = list(new QueryWrapper<PayMerchant>().setEntity(app));
        if (result.isEmpty()) {
            return null;
        }
        return BeanUtils.copyList(result, PayMerchantDTO.class);
    }

//    @Override
//    public Boolean config(PayMerchantBO bo) {
//        PayMerchantDTO info = info(bo.getId());
//        if (info == null) {
//            return null;
//        }
//        return null;
//    }
}
