package com.zanxiang.mybatis.entity;

import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 支付盒子
 *
 * @author xufeng
 * @date 2022-06-22 15:26
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PayBox implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 名称
     */
    private String name;

    /**
     * 支付名称
     */
    private String payName;

    /**
     * 应用id
     */
    private Integer payApplicationId;

    /**
     * 商户号id（多个逗号分割,id,）
     */
    private String payMerchantId;

    /**
     * 盒子类型 1、金币 2、红包
     */
    private Integer type;

    /**
     * 描述
     */
    private String desc;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
}
